List Event Findings
Fetches a list of findings related to an event identified by its slug.
Authorization
http Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
The slug of the event for which findings are to be retrieved
Query Parameters
Page number
Number of findings per page
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ethiack.com/v1/events/string/findings/"{
"findings": [
{
"id": 0,
"title": "string",
"md": null,
"html": null,
"asset_id": null,
"asset_value": "string",
"status": 0,
"previous_status": null,
"requested_score": null,
"event_id": null,
"severity": "none",
"priority": 0,
"score": null,
"cve": null,
"cvss_vector": null,
"created": "2019-08-24T14:15:22Z"
}
]
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Get Retest Information GET
Retrieves the status of retest job of a specific finding. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.
Start Retest POST
Start a retest for a specific finding to check if the finding is still valid or has been resolved. The retest will be performed asynchronously. The retest status can be checked using the **`GET /v1/events/{event_slug}/findings/{finding_id}/retest`** endpoint. > **Info**: Retesting is used to update the status of a finding, enabling the > user to check if the finding is still valid or has been resolved.